package signals;


public class AsyncBus extends Signals
{
	private static final long serialVersionUID = 1L;

	private int nb_points = 100;
	
	public AsyncBus(String name)
	{
		this.name = name;
		this.setUpTime = 8;
		this.bus = true;
		this.clockDomainId = this.id;
		this.widthUnit = 20;
		this.type = "bus";
	}

	public AsyncBus(String name, int period)
	{
		setId();
		this.name = name;
		this.setUpTime = 8;
		this.bus = true;
		this.clockDomainId = this.id;
		this.widthUnit = period;
		this.type = "bus";
  
		for (int i = 0; i < nb_points; i++) // 500
		{
			this.wave[i] = 0;
		}
	}

	public void generate(boolean beginOnRisingEdge) {}
	
}
